d_text_proc(3)

NAME
d_text_proc, d_ctext_proc, d_rtext_proc

SYNOPSIS
#include <allegro.h>

int d_text_proc(int msg, DIALOG *d, int c); int d_ctext_proc(int msg, DIALOG *d, int c); int d_rtext_proc(int msg, DIALOG *d, int c);

DESCRIPTION
These draw text onto the screen. The dp field should point to the string to display. d_ctext_proc() centres the string around the x coordinate, and d_rtext_proc() right aligns it. Any '&' characters in the string will be replaced with lines underneath the following character, for displaying keyboard shortcuts (as in MS Windows). To display a single ampersand, put "&&". To draw the text in something other than the default font, set the dp2 field to point to your custom font data.